"use strict";var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.Middlewares=exports.Multer=exports.Interceptors=exports.Hooks=exports.Module=exports.Controller=exports.Render=exports.Header=exports.StatusCode=exports.Redirect=exports.Head=exports.Options=exports.All=exports.Patch=exports.Delete=exports.Put=exports.Post=exports.Get=void 0;require("reflect-metadata");var _lodash=_interopRequireDefault(require("lodash.compact"));var _helper=require("../core/helper");var _constant=require("../core/constant");var Get=function Get(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"GET",path:path})};exports.Get=Get;var Post=function Post(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"POST",path:path})};exports.Post=Post;var Put=function Put(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"PUT",path:path})};exports.Put=Put;var Delete=function Delete(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"DELETE",path:path})};exports.Delete=Delete;var Patch=function Patch(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"PATCH",path:path})};exports.Patch=Patch;var All=function All(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"ALL",path:path})};exports.All=All;var Options=function Options(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"OPTIONS",path:path})};exports.Options=Options;var Head=function Head(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"HEAD",path:path})};exports.Head=Head;var Redirect=function Redirect(url){var statusCode=arguments.length>1&&arguments[1]!==undefined?arguments[1]:301;return function(target,key,descriptor){Reflect.defineMetadata(_constant.URL_REDIRECT,url,target[key]);return StatusCode(statusCode)(target,key,descriptor)}};exports.Redirect=Redirect;var StatusCode=function StatusCode(){var statusCode=arguments.length>0&&arguments[0]!==undefined?arguments[0]:200;return function(target,key,descriptor){var redirectStatusCode=Reflect.getMetadata(_constant.STATUS_CODE,target[key]);Reflect.defineMetadata(_constant.STATUS_CODE,redirectStatusCode?redirectStatusCode:statusCode,target[key]);return descriptor}};exports.StatusCode=StatusCode;var Header=function Header(header){return function(target,key,descriptor){Reflect.defineMetadata(_constant.HEADER,header,target[key]);return descriptor}};exports.Header=Header;var Render=function Render(viewName){return function(target,key,descriptor){Reflect.defineMetadata(_constant.RENDER_VIEW,viewName,target[key]);return descriptor}};exports.Render=Render;var Controller=function Controller(){var prefix=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"";return function(target,key){if(key){throw new Error("@Controller is not a part of function decorator.")}var path=(0,_lodash["default"])(prefix.split("/")).join("/");Reflect.defineMetadata(_constant.CONTROLLER_PREFIX,"/".concat(path),target)}};exports.Controller=Controller;var Module=function Module(){for(var _len=arguments.length,controller=new Array(_len),_key=0;_key<_len;_key++){controller[_key]=arguments[_key]}return(0,_helper.mappingModuleDecorator)(controller)};exports.Module=Module;var Hooks=function Hooks(){for(var _len2=arguments.length,func=new Array(_len2),_key2=0;_key2<_len2;_key2++){func[_key2]=arguments[_key2]}return function(target,key){if(key){throw new Error("@Hook is not a part of function decorator.")}Reflect.defineMetadata(_constant.HOOKS,func,target.prototype)}};exports.Hooks=Hooks;var Interceptors=function Interceptors(){for(var _len3=arguments.length,interceptor=new Array(_len3),_key3=0;_key3<_len3;_key3++){interceptor[_key3]=arguments[_key3]}return function(target,key,descriptor){if(!key){throw new Error("@Interceptor is not a part of class decorator.")}Reflect.defineMetadata(_constant.INTERCEPTOR,interceptor,target[key]);return descriptor}};exports.Interceptors=Interceptors;var Multer=function Multer(){for(var _len4=arguments.length,option=new Array(_len4),_key4=0;_key4<_len4;_key4++){option[_key4]=arguments[_key4]}return function(target,key,descriptor){if(!key){throw new Error("@Multer is not a part of class decorator.")}var options=option.map(function(opt){var name=opt.name,_opt$maxCount=opt.maxCount,maxCount=_opt$maxCount===void 0?1:_opt$maxCount;return name&&{name:name,maxCount:maxCount}});Reflect.defineMetadata(_constant.MULTER_OPTIONS,options,target[key]);return descriptor}};exports.Multer=Multer;var Middlewares=function Middlewares(){for(var _len5=arguments.length,middleware=new Array(_len5),_key5=0;_key5<_len5;_key5++){middleware[_key5]=arguments[_key5]}return function(target,key,descriptor){if(!key){throw new Error("@Middlewares is not a part of class decorator.")}var middlewares=[];middleware.forEach(function(mid){if(typeof mid==="function"){middlewares.push(mid)}});Reflect.defineMetadata(_constant.MIDDLEWARES,middlewares,target[key]);return descriptor}};exports.Middlewares=Middlewares;